Bug 1016452 - /settings page can not display all the domains which user has access to.
/settings page can not display all the domains which user has access to.
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Management Console (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 04:20 EDT by Yujie Zhang
Modified: 2015-05-14 21:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 09:58:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-10-08 04:20:44 EDT
Description of problem:

Added view,edit,admin role of an account to domains, login using the account, checked the settings page, the domains which user have access can not be displayed, created an domain using the account, and settings page can only display domains created by the account.

Version-Release number of selected component (if applicable):
devenv-stage_488

How reproducible:
always

Steps to Reproduce:
1.Add view role of account A to domain A
2.Add edit role of account A to domain B
3.Add admin role of account A to domain C
4.Login using account A and check the settings page

Actual results:

Settings page can not display all the domains user has access to.

Expected results:

Settings page should display all the domains user has access to.

Additional info:
Comment 1 Clayton Coleman 2013-10-14 09:58:40 EDT
Settings page shows only domains the user owns.  We will however revisit this after people start creating a lot of domains so that we know what is more or less useful.

Note You need to log in before you can comment on or make changes to this bug.